Bug 733230 - bluetooth -n consumes 100% CPU after suspend/resume
bluetooth -n consumes 100% CPU after suspend/resume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-25 04:26 EDT by Jan Willies
Modified: 2013-10-08 23:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 06:33:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Willies 2011-08-25 04:26:34 EDT
Description of problem: bluetooth -n consumes 100% CPU after a suspend/resume cycle on my Thinkpad X300. "systemctl restart bluetooth.service" fixes the problem.


Version-Release number of selected component (if applicable):
kernel-3.0.1-3.fc16.x86_64 and bluez-4.95-1.fc16


How reproducible: I think not always, but very often.


Steps to Reproduce:
1. suspend
2. resume
3.
  
Actual results: maxed out CPU


Expected results: working bluetooth


Additional info: This bug was separated from https://bugzilla.redhat.com/show_bug.cgi?id=733211
Comment 1 Jan Willies 2011-08-25 04:42:06 EDT
it also happens when disabling bluetooth via the icon on the top right
Comment 2 Jan Willies 2011-08-29 06:28:47 EDT
when enabling via the top-right icon, it starts working again (no 100% anymore).

This looks like something:
Aug 29 12:25:27 thinkpad-x300 kernel: [ 1563.978680] bluetoothd[879] general protection ip:7ffbe3482325 sp:7fffc6eb4c00 error:0 in libglib-2.0.so.0.2916.0[7ffbe3422000+11f000]


full log (disabling & enabling):
Aug 29 12:25:17 thinkpad-x300 NetworkManager[886]: <info> (00:23:B4:63:EA:66): cleaning up...
Aug 29 12:25:17 thinkpad-x300 NetworkManager[886]: <info> (00:23:B4:63:EA:66): taking down device.
Aug 29 12:25:17 thinkpad-x300 systemd[1]: Service bluetooth.target is not needed anymore. Stopping.
Aug 29 12:25:17 thinkpad-x300 dbus[914]: [system] Rejected send message, 5 matched rules; type="error", sender=":1.51" (uid=500 pid=1467 comm="/usr/bin/gnome-shell ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.0" (uid=0 pid=879 comm="/usr/sbin/bluetoothd -n ")
Aug 29 12:25:27 thinkpad-x300 kernel: [ 1563.660174] usb 3-1: new full speed USB device number 4 using uhci_hcd
Aug 29 12:25:27 thinkpad-x300 kernel: [ 1563.822855] usb 3-1: New USB device found, idVendor=0a5c, idProduct=2110
Aug 29 12:25:27 thinkpad-x300 kernel: [ 1563.822864] usb 3-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Aug 29 12:25:27 thinkpad-x300 kernel: [ 1563.822870] usb 3-1: Product: BCM2045B
Aug 29 12:25:27 thinkpad-x300 kernel: [ 1563.822874] usb 3-1: Manufacturer: Broadcom Corp
Aug 29 12:25:27 thinkpad-x300 bluetoothd[879]: bluetoothd[879]: HCI dev 0 registered
Aug 29 12:25:27 thinkpad-x300 bluetoothd[879]: HCI dev 0 registered
Aug 29 12:25:27 thinkpad-x300 bluetoothd[879]: bluetoothd[879]: Listening for HCI events on hci0
Aug 29 12:25:27 thinkpad-x300 bluetoothd[879]: Listening for HCI events on hci0
Aug 29 12:25:27 thinkpad-x300 bluetoothd[879]: bluetoothd[879]: HCI dev 0 up
Aug 29 12:25:27 thinkpad-x300 bluetoothd[879]: HCI dev 0 up
Aug 29 12:25:27 thinkpad-x300 bluetoothd[879]: bluetoothd[879]: Parsing /etc/bluetooth/serial.conf failed: No such file or directory
Aug 29 12:25:27 thinkpad-x300 bluetoothd[879]: Parsing /etc/bluetooth/serial.conf failed: No such file or directory
Aug 29 12:25:27 thinkpad-x300 kernel: [ 1563.978680] bluetoothd[879] general protection ip:7ffbe3482325 sp:7fffc6eb4c00 error:0 in libglib-2.0.so.0.2916.0[7ffbe3422000+11f000]
Aug 29 12:25:27 thinkpad-x300 systemd[1]: bluetooth.service: main process exited, code=killed, status=11
Aug 29 12:25:27 thinkpad-x300 systemd[1]: Unit bluetooth.service entered failed state.
Aug 29 12:25:27 thinkpad-x300 systemd[1]: Cannot add dependency job for unit fedora-readonly.service, ignoring: Invalid argument
Aug 29 12:25:27 thinkpad-x300 systemd[1]: Cannot add dependency job for unit fedora-storage-init-late.service, ignoring: Invalid argument
Aug 29 12:25:27 thinkpad-x300 systemd[1]: Cannot add dependency job for unit fedora-storage-init.service, ignoring: Invalid argument
Aug 29 12:25:27 thinkpad-x300 systemd[1]: Cannot add dependency job for unit hwclock-load.service, ignoring: Invalid argument
Aug 29 12:25:27 thinkpad-x300 systemd[1]: Cannot add dependency job for unit lvm2-monitor.service, ignoring: Invalid argument
Aug 29 12:25:27 thinkpad-x300 systemd[1]: Cannot add dependency job for unit plymouth-read-write.service, ignoring: Invalid argument
Aug 29 12:25:27 thinkpad-x300 systemd[1]: Cannot add dependency job for unit plymouth-start.service, ignoring: Invalid argument
Aug 29 12:25:27 thinkpad-x300 systemd[1]: Cannot add dependency job for unit fedora-autorelabel-mark.service, ignoring: Invalid argument
Aug 29 12:25:27 thinkpad-x300 systemd[1]: Cannot add dependency job for unit fedora-autorelabel.service, ignoring: Invalid argument
Aug 29 12:25:27 thinkpad-x300 systemd[1]: Cannot add dependency job for unit fedora-autoswap.service, ignoring: Invalid argument
Aug 29 12:25:27 thinkpad-x300 systemd[1]: Cannot add dependency job for unit fedora-configure.service, ignoring: Invalid argument
Aug 29 12:25:27 thinkpad-x300 systemd[1]: Cannot add dependency job for unit fedora-loadmodules.service, ignoring: Invalid argument
Aug 29 12:25:27 thinkpad-x300 bluetoothd[3265]: bluetoothd[3265]: Bluetooth daemon 4.95
Aug 29 12:25:27 thinkpad-x300 bluetoothd[3265]: Bluetooth daemon 4.95
Aug 29 12:25:28 thinkpad-x300 bluetoothd[3265]: bluetoothd[3265]: Starting SDP server
Aug 29 12:25:28 thinkpad-x300 bluetoothd[3265]: Starting SDP server
Aug 29 12:25:28 thinkpad-x300 bluetoothd[3265]: bluetoothd[3265]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
Aug 29 12:25:28 thinkpad-x300 bluetoothd[3265]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
Aug 29 12:25:28 thinkpad-x300 bluetoothd[3265]: bluetoothd[3265]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
Aug 29 12:25:28 thinkpad-x300 bluetoothd[3265]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
Aug 29 12:25:28 thinkpad-x300 NetworkManager[886]: <warn> bluez error getting default adapter: No such adapter
Aug 29 12:25:28 thinkpad-x300 bluetoothd[3265]: bluetoothd[3265]: Listening for HCI events on hci0
Aug 29 12:25:28 thinkpad-x300 bluetoothd[3265]: Listening for HCI events on hci0
Aug 29 12:25:28 thinkpad-x300 bluetoothd[3265]: bluetoothd[3265]: HCI dev 0 up
Aug 29 12:25:28 thinkpad-x300 bluetoothd[3265]: HCI dev 0 up
Aug 29 12:25:28 thinkpad-x300 bluetoothd[3265]: bluetoothd[3265]: Parsing /etc/bluetooth/serial.conf failed: No such file or directory
Aug 29 12:25:28 thinkpad-x300 bluetoothd[3265]: Parsing /etc/bluetooth/serial.conf failed: No such file or directory
Aug 29 12:25:28 thinkpad-x300 bluetoothd[3265]: bluetoothd[3265]: input-headset driver probe failed for device 00:23:B4:63:EA:66
Aug 29 12:25:28 thinkpad-x300 bluetoothd[3265]: input-headset driver probe failed for device 00:23:B4:63:EA:66
Aug 29 12:25:28 thinkpad-x300 bluetoothd[3265]: bluetoothd[3265]: Adapter /org/bluez/3265/hci0 has been enabled
Aug 29 12:25:28 thinkpad-x300 bluetoothd[3265]: Adapter /org/bluez/3265/hci0 has been enabled
Aug 29 12:25:28 thinkpad-x300 bluetoothd[3265]: bluetoothd[3265]: Inquiry Cancel Failed with status 0x12
Aug 29 12:25:28 thinkpad-x300 bluetoothd[3265]: Inquiry Cancel Failed with status 0x12
Aug 29 12:25:28 thinkpad-x300 NetworkManager[886]: <warn> (00:23:B4:63:EA:66): failed to look up interface index
Aug 29 12:25:28 thinkpad-x300 NetworkManager[886]: <info> BT device Harribert (00:23:B4:63:EA:66) added (DUN)
Aug 29 12:25:28 thinkpad-x300 NetworkManager[886]: <info> (00:23:B4:63:EA:66): new Bluetooth device (driver: 'bluez' ifindex: -1)
Aug 29 12:25:28 thinkpad-x300 NetworkManager[886]: <info> (00:23:B4:63:EA:66): exported as /org/freedesktop/NetworkManager/Devices/3
Aug 29 12:25:28 thinkpad-x300 NetworkManager[886]: <info> (00:23:B4:63:EA:66): now managed
Aug 29 12:25:28 thinkpad-x300 NetworkManager[886]: <info> (00:23:B4:63:EA:66): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Aug 29 12:25:28 thinkpad-x300 NetworkManager[886]: <info> (00:23:B4:63:EA:66): deactivating device (reason: 2).
Aug 29 12:25:28 thinkpad-x300 NetworkManager[886]: <info> (00:23:B4:63:EA:66): device state change: unavailable -> disconnected (reason 'none') [20 30 0]
Comment 3 Zdenek Chmelar 2011-10-07 14:30:10 EDT
The same here.
Running F16 beta live-cd

Bluetooth version - latest available (to date from repo)

gnome-bluetooth-3.2.0-1.fc16.x86_64 
gnome-bluetooth-libs-3.2.0-1.fc16.x86_64

Problem occurs accidentally, not regularly, when switching the "on/off" status under bluetooth icon in system tray (right upper corner). CPU utilization is on 100%

Log from /var/log/messages:

Oct  7 20:13:10 localhost systemd[1]: Service bluetooth.target is not needed anymore. Stopping.
Oct  7 20:13:10 localhost bluetoothd[4599]: (bluetoothd:4599): GLib-WARNING **: Invalid file descriptor.
Oct  7 14:13:11 localhost dbus[1008]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.125" (uid=1000 pid=3342 comm="/usr/bin/gnome-shell ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.176" (uid=0 pid=4599 comm="/usr/sbin/bluetoothd -n ")
Oct  7 20:13:11 localhost dbus-daemon[1008]: dbus[1008]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.125" (uid=1000 pid=3342 comm="/usr/bin/gnome-shell ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.176" (uid=0 pid=4599 comm="/usr/sbin/bluetoothd -n ")
Comment 4 Zdenek Chmelar 2011-10-07 14:34:46 EDT
Forgot to mention - occurs only when Bluetooth is OFF.
I never experienced this behaviour when ON.
When BT is stuck and CPU is on 100%, turning BT ON fixes the problem and everything is OK again until the next accidental problem occurs.
Comment 5 Jan Willies 2011-11-11 04:11:00 EST
it's working now for me
Comment 6 Zdenek Chmelar 2012-03-21 05:41:11 EDT
I don't see this behavior anymore as well.
Comment 7 Bill C. Riemers 2012-05-14 09:02:35 EDT
This still happens to me regularly.  What is really ironic is I don't use bluetooth.   But every time I reboot, or resume it tries to turn itself back on.  In earlier versions of Fedora, it used to be sufficient just to use chkconfig to disable the service.   However, in Fedora 16 even when I disable bluetooth with systemctl it always seems to re-enable itself eventually.
Comment 8 Jan Willies 2012-05-14 09:09:28 EDT
you can systemctl mask it.
Comment 9 Bill C. Riemers 2012-05-14 09:18:01 EDT
Yes.  I think the problem is everytime there is an update, it becomes active again.
Comment 10 Fedora End Of Life 2013-01-16 06:56:46 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora End Of Life 2013-02-13 06:33:18 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Shawn N 2013-10-08 23:48:56 EDT
I see this bug is closed, however I have had this experience (100% CPU utilization by bluetooth after resume) on Fedora 19 since it's release and it continues with every kernel update to date. As the original bug states, a systemctl restart brings the CPU back to normal levels and restores bluetooth functionality.

kernel: 3.11.3-201.fc19.x86_64
bluez-libs-4.101-9.fc19.x86_64
gnome-bluetooth-libs-3.8.1-1.fc19.x86_64

Note You need to log in before you can comment on or make changes to this bug.